---
updatedAt: 2026-05-29T20:03:06.000Z
agentTools:
  projectIndex: https://docs.zype.com/llms.txt
---

# List Playlist Entitlements

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Consumers",
    "version": "1.0.0",
    "description": ""
  },
  "servers": [
    {
      "url": "https://api.zype.com/"
    }
  ],
  "security": [
    {
      "api_key": []
    }
  ],
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "api_key",
        "in": "query"
      }
    }
  },
  "paths": {
    "/pin/link": {
      "put": {
        "summary": "Link Device Pin",
        "description": "",
        "tags": [
          "Device Linking"
        ],
        "operationId": "linkDevicePin",
        "parameters": [
          {
            "name": "consumer_id",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ID of consumer to link device to"
          },
          {
            "name": "pin",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "The value for the acquired device pin"
          }
        ],
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "title": "DevicePinResponse",
                  "type": "object",
                  "properties": {
                    "response": {
                      "title": "DevicePin",
                      "type": "object",
                      "properties": {
                        "_id": {
                          "type": "string"
                        },
                        "consumer_id": {
                          "description": "",
                          "type": "string"
                        },
                        "created_at": {
                          "description": "",
                          "type": "string"
                        },
                        "deleted_at": {
                          "description": "",
                          "type": "string"
                        },
                        "linked_device_id": {
                          "description": "",
                          "type": "string"
                        },
                        "pin": {
                          "description": "",
                          "type": "string"
                        },
                        "pin_expiration": {
                          "description": "",
                          "type": "string"
                        },
                        "updated_at": {
                          "description": "",
                          "type": "string"
                        },
                        "linked true": {
                          "description": "",
                          "type": "boolean"
                        },
                        "subscription_count": {
                          "description": "",
                          "type": "number"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Device Pin not found",
            "content": {
              "application/json": {
                "schema": {
                  "title": "NotFound",
                  "type": "object",
                  "required": [
                    "message"
                  ],
                  "properties": {
                    "message": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/consumers/{consumer_id}/videos": {
      "get": {
        "summary": "List Video Entitlements",
        "description": "",
        "tags": [
          "Video Entitlements"
        ],
        "operationId": "listVideoEntitlements",
        "parameters": [
          {
            "name": "consumer_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ID of the consumer whose video entitlements will be retrieved"
          }
        ],
        "responses": {
          "200": {
            "description": "Response will contain an array of video entitlements",
            "content": {
              "application/json": {
                "schema": {
                  "title": "VideoEntitlementsResponse",
                  "type": "object",
                  "properties": {
                    "response": {
                      "type": "array",
                      "items": {
                        "$ref": "#/paths/~1consumers~1{consumer_id}~1videos/post/responses/201/content/application~1json/schema/properties/response"
                      },
                      "description": ""
                    },
                    "pagination": {
                      "title": "Pagination",
                      "type": "object",
                      "properties": {
                        "current": {
                          "type": "number",
                          "format": "int32",
                          "description": "The current page of results"
                        },
                        "previous": {
                          "type": "number",
                          "format": "int32",
                          "description": "the previous page of results",
                          "nullable": true
                        },
                        "next": {
                          "type": "number",
                          "format": "int32",
                          "description": "the next page of results",
                          "nullable": true
                        },
                        "per_page": {
                          "type": "number",
                          "format": "int32",
                          "description": "the number of results returned per page"
                        },
                        "pages": {
                          "type": "number",
                          "format": "int32",
                          "description": "the total number of pages available, using per_page"
                        }
                      },
                      "example": {
                        "current": 1,
                        "previous": null,
                        "next": 2,
                        "per_page": 10,
                        "pages": 20
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Consumer not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1pin~1link/put/responses/404/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    },
    "/consumers/{consumer_id}/playlists": {
      "get": {
        "summary": "List Playlist Entitlements",
        "description": "",
        "tags": [
          "Playlist Entitlements"
        ],
        "operationId": "listPlaylistEntitlements",
        "parameters": [
          {
            "name": "consumer_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ID of the consumer whose playlist entitlements will be retrieved"
          }
        ],
        "responses": {
          "200": {
            "description": "Response will contain an array of playlist entitlements",
            "content": {
              "application/json": {
                "schema": {
                  "title": "PlaylistEntitlementsResponse",
                  "type": "object",
                  "properties": {
                    "response": {
                      "type": "array",
                      "items": {
                        "$ref": "#/paths/~1consumers~1{consumer_id}~1playlists/post/responses/201/content/application~1json/schema/properties/response"
                      },
                      "description": ""
                    },
                    "pagination": {
                      "$ref": "#/paths/~1consumers~1{consumer_id}~1videos/get/responses/200/content/application~1json/schema/properties/pagination"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Consumer not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1pin~1link/put/responses/404/content/application~1json/schema"
                }
              }
            }
          }
        }
      },
      "post": {
        "summary": "Create a Playlist Entitlement",
        "description": "",
        "tags": [
          "Playlist Entitlements"
        ],
        "operationId": "createPlaylistEntitlement",
        "parameters": [
          {
            "name": "consumer_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": ""
          }
        ],
        "requestBody": {
          "description": "",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "title": "PlaylistEntitlementRequest",
                "type": "object",
                "properties": {
                  "entitlement": {
                    "required": [
                      "playlist_id"
                    ],
                    "type": "object",
                    "title": "PlaylistEntitlementProperties",
                    "properties": {
                      "playlist_id": {
                        "type": "string",
                        "description": "ID of the playlist you wish the consumer to have access to"
                      },
                      "transaction_id": {
                        "type": "string",
                        "description": "ID of the transaction that happened to allow the consumer to have access to the video"
                      },
                      "transaction_type": {
                        "type": "string",
                        "description": "Type of transaction (Example: purchase)"
                      },
                      "expires_at": {
                        "type": "string",
                        "description": "When the entitlement expires"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "title": "PlaylistEntitlementResponse",
                  "type": "object",
                  "properties": {
                    "response": {
                      "title": "PlaylistEntitlement",
                      "type": "object",
                      "properties": {
                        "_id": {
                          "type": "string"
                        },
                        "consumer_id": {
                          "type": "string"
                        },
                        "created_at": {
                          "type": "string"
                        },
                        "updated_at": {
                          "type": "string"
                        },
                        "expires_at": {
                          "type": "string"
                        },
                        "transaction_id": {
                          "type": "string"
                        },
                        "transaction_type": {
                          "type": "string"
                        },
                        "playlist_title": {
                          "type": "string"
                        },
                        "playlist_id": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Consumer not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1pin~1link/put/responses/404/content/application~1json/schema"
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable entity",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1consumers/get/responses/422/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    }
  }
}
```